function $AdfDhtmlChooseDateDOMQueries$$() {
}
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries", $AdfDhtmlChooseDateDOMQueries$$);
$AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getDOMElement$$($component$$347$$) {
  $AdfAssert$$.$assertPrototype$($component$$347$$, AdfRichChooseDate);
  return document.getElementById($component$$347$$.$getClientId$());
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getDOMElement", $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$);
$AdfDhtmlChooseDateDOMQueries$$.$getSelectedDateAndTime$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getSelectedDateAndTime$$($component$$348$$, $rootDOMElement$$1$$) {
  $AdfAssert$$.$assertPrototype$($component$$348$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$1$$);
  var $agent$$49$$ = $AdfAgent$$.$AGENT$, $selectedDate$$4$$ = $agent$$49$$.getAttribute($rootDOMElement$$1$$, $AdfDhtmlChooseDatePeer$$.$_SELECTED_DATE_TIME$);
  if (null != $selectedDate$$4$$) {
    return $AdfDhtmlChooseDateDOMQueries$$.$getISOStandardConverter$().getAsObject($selectedDate$$4$$);
  }
  var $selectedDate$$4$$ = $AdfDhtmlChooseDateDOMQueries$$.$getTodayDate$($component$$348$$, $rootDOMElement$$1$$), $maxValDate_maxValStr$$ = $component$$348$$.$getProperty$(AdfRichInputDate.MAX_VALUE), $attributeValStr_minValDate_minValStr$$ = $component$$348$$.$getProperty$(AdfRichInputDate.MIN_VALUE), $maxValDate_maxValStr$$ = $AdfDhtmlChooseDateDOMQueries$$.$getISOStandardConverter$().getAsObject($maxValDate_maxValStr$$), $attributeValStr_minValDate_minValStr$$ = $AdfDhtmlChooseDateDOMQueries$$.$getISOStandardConverter$().getAsObject($attributeValStr_minValDate_minValStr$$);
  $AdfDhtmlChooseDateDOMQueries$$.$isDateAfterMaximumDate$($component$$348$$, $selectedDate$$4$$) && ($selectedDate$$4$$ = $maxValDate_maxValStr$$);
  $AdfDhtmlChooseDateDOMQueries$$.$isDateBeforeMinimumDate$($component$$348$$, $selectedDate$$4$$) && ($selectedDate$$4$$ = $attributeValStr_minValDate_minValStr$$);
  $attributeValStr_minValDate_minValStr$$ = $AdfDhtmlChooseDateDOMQueries$$.$getISOStandardConverter$().getAsString($selectedDate$$4$$);
  $agent$$49$$.setAttribute($rootDOMElement$$1$$, $AdfDhtmlChooseDatePeer$$.$_SELECTED_DATE_TIME$, $attributeValStr_minValDate_minValStr$$);
  return $selectedDate$$4$$;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getSelectedDateAndTime", $AdfDhtmlChooseDateDOMQueries$$.$getSelectedDateAndTime$);
$AdfDhtmlChooseDateDOMQueries$$.$updateSelectedDateTime$ = function $$AdfDhtmlChooseDateDOMQueries$$$$updateSelectedDateTime$$($component$$349_selectedDateAndTime$$, $rootDOMElement$$2$$, $dateTimeStr_newSelectedDate$$, $updateFunction$$1$$) {
  $AdfAssert$$.$assertPrototype$($component$$349_selectedDateAndTime$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$2$$);
  $AdfAssert$$.$assertDate$($dateTimeStr_newSelectedDate$$);
  $AdfAssert$$.$assertFunction$($updateFunction$$1$$);
  $component$$349_selectedDateAndTime$$ = $AdfDhtmlChooseDateDOMQueries$$.$getSelectedDateAndTime$($component$$349_selectedDateAndTime$$, $rootDOMElement$$2$$);
  $AdfAssert$$.$assertDate$($component$$349_selectedDateAndTime$$);
  $updateFunction$$1$$($component$$349_selectedDateAndTime$$, $dateTimeStr_newSelectedDate$$);
  $dateTimeStr_newSelectedDate$$ = $AdfDhtmlChooseDateDOMQueries$$.$getISOStandardConverter$().getAsString($component$$349_selectedDateAndTime$$);
  $AdfAgent$$.$AGENT$.setAttribute($rootDOMElement$$2$$, $AdfDhtmlChooseDatePeer$$.$_SELECTED_DATE_TIME$, $dateTimeStr_newSelectedDate$$);
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.updateSelectedDateTime", $AdfDhtmlChooseDateDOMQueries$$.$updateSelectedDateTime$);
$AdfDhtmlChooseDateDOMQueries$$.$getRenderedMonthAndYear$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getRenderedMonthAndYear$$($component$$350$$, $rootDOMElement$$3$$) {
  $AdfAssert$$.$assertPrototype$($component$$350$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$3$$);
  var $showDate$$7_showDateStr_todayDate$$ = $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$3$$, $AdfDhtmlChooseDatePeer$$.$_SHOW_DATE$);
  null == $showDate$$7_showDateStr_todayDate$$ && ($showDate$$7_showDateStr_todayDate$$ = $AdfDhtmlChooseDateDOMQueries$$.$getTodayDate$($component$$350$$, $rootDOMElement$$3$$), $AdfDhtmlChooseDateDOMQueries$$.$setRenderedMonthAndYear$($component$$350$$, $rootDOMElement$$3$$, $showDate$$7_showDateStr_todayDate$$), $showDate$$7_showDateStr_todayDate$$ = $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$3$$, $AdfDhtmlChooseDatePeer$$.$_SHOW_DATE$));
  $showDate$$7_showDateStr_todayDate$$ = $AdfDhtmlChooseDateDOMQueries$$.$getISOStandardConverter$().getAsObject($showDate$$7_showDateStr_todayDate$$);
  $AdfAssert$$.assert(1 == $showDate$$7_showDateStr_todayDate$$.getDate());
  return $showDate$$7_showDateStr_todayDate$$;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getRenderedMonthAndYear", $AdfDhtmlChooseDateDOMQueries$$.$getRenderedMonthAndYear$);
$AdfDhtmlChooseDateDOMQueries$$.$setRenderedMonthAndYear$ = function $$AdfDhtmlChooseDateDOMQueries$$$$setRenderedMonthAndYear$$($component$$351_isoConverter$$1$$, $rootDOMElement$$4$$, $renderMonthYear$$) {
  $AdfAssert$$.$assertPrototype$($component$$351_isoConverter$$1$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$4$$);
  $AdfAssert$$.$assertDate$($renderMonthYear$$);
  $component$$351_isoConverter$$1$$ = $AdfDhtmlChooseDateDOMQueries$$.$getISOStandardConverter$();
  var $dateToSet$$ = new Date;
  $dateToSet$$.setDate(1);
  $dateToSet$$.setMonth($renderMonthYear$$.getMonth());
  $dateToSet$$.setFullYear($renderMonthYear$$.getFullYear());
  $dateToSet$$.setHours($renderMonthYear$$.getHours());
  $dateToSet$$.setMinutes($renderMonthYear$$.getMinutes());
  $dateToSet$$.setSeconds($renderMonthYear$$.getSeconds());
  $dateToSet$$.setMilliseconds($renderMonthYear$$.getMilliseconds());
  $AdfAgent$$.$AGENT$.setAttribute($rootDOMElement$$4$$, $AdfDhtmlChooseDatePeer$$.$_SHOW_DATE$, $component$$351_isoConverter$$1$$.getAsString($dateToSet$$));
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.setRenderedMonthAndYear", $AdfDhtmlChooseDateDOMQueries$$.$setRenderedMonthAndYear$);
$AdfDhtmlChooseDateDOMQueries$$.$getMonthsToDisplay$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getMonthsToDisplay$$($component$$352$$, $rootDOMElement$$5$$) {
  $AdfAssert$$.$assertPrototype$($component$$352$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$5$$);
  var $agent$$50$$ = $AdfAgent$$.$AGENT$, $months$$ = $agent$$50$$.getAttribute($rootDOMElement$$5$$, $AdfDhtmlChooseDatePeer$$.$_MONTHS$);
  if ($months$$) {
    return parseInt($months$$);
  }
  $months$$ = $component$$352$$.getMonths ? $component$$352$$.getMonths() : null;
  if (!$months$$ || 1 > $months$$) {
    $months$$ = $AdfDhtmlChooseDateDOMQueries$$.$_getSkinDeterminedMonths$();
  }
  $months$$ = Math.max(1, $months$$);
  $AdfDhtmlChooseDateDOMQueries$$.$getParentID$($component$$352$$, $rootDOMElement$$5$$) && ($months$$ = Math.min(Math.max(1, Math.floor(document.body.clientWidth / 300)), $months$$));
  $agent$$50$$.setAttribute($rootDOMElement$$5$$, $AdfDhtmlChooseDatePeer$$.$_MONTHS$, $months$$);
  return $months$$;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getMonthsToDisplay", $AdfDhtmlChooseDateDOMQueries$$.$getMonthsToDisplay$);
$AdfDhtmlChooseDateDOMQueries$$.$getMonthDisplayRange$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getMonthDisplayRange$$($component$$353$$, $referenceMonthAndYear$$) {
  $AdfAssert$$.$assertPrototype$($component$$353$$, AdfRichChooseDate);
  var $cdRootElem$$20_endRange$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$353$$), $monthsToDisplay$$ = $AdfDhtmlChooseDateDOMQueries$$.$getMonthsToDisplay$($component$$353$$, $cdRootElem$$20_endRange$$), $startRange$$ = $referenceMonthAndYear$$;
  $startRange$$ ? $startRange$$.setDate(1) : ($startRange$$ = $AdfDhtmlChooseDateDOMQueries$$.$getRenderedMonthAndYear$($component$$353$$, $cdRootElem$$20_endRange$$), $startRange$$.setDate(1), $startRange$$.setMonth($startRange$$.getMonth() - (Math.ceil($monthsToDisplay$$ / 2) - 1)));
  $cdRootElem$$20_endRange$$ = new Date($startRange$$);
  $cdRootElem$$20_endRange$$.setMonth($cdRootElem$$20_endRange$$.getMonth() + $monthsToDisplay$$);
  return {start:$startRange$$, end:$cdRootElem$$20_endRange$$, months:$monthsToDisplay$$};
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getMonthDisplayRange", $AdfDhtmlChooseDateDOMQueries$$.$getMonthDisplayRange$);
$AdfDhtmlChooseDateDOMQueries$$.$allowTimeSelection$ = function $$AdfDhtmlChooseDateDOMQueries$$$$allowTimeSelection$$($component$$354$$, $rootDOMElement$$6$$) {
  $AdfAssert$$.$assertPrototype$($component$$354$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$6$$);
  return null != $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$6$$, $AdfDhtmlChooseDatePeer$$.$_ALLOW_TIME_SELECTION$);
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.allowTimeSelection", $AdfDhtmlChooseDateDOMQueries$$.$allowTimeSelection$);
$AdfDhtmlChooseDateDOMQueries$$.$getTodayDate$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getTodayDate$$($component$$355$$, $rootDOMElement$$7$$) {
  $AdfAssert$$.$assertPrototype$($component$$355$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$7$$);
  var $agent$$52_zeroTime$$ = $AdfAgent$$.$AGENT$, $today_todayDate$$1$$ = $agent$$52_zeroTime$$.getAttribute($rootDOMElement$$7$$, $AdfDhtmlChooseDatePeer$$.$_TODAY_DATE$);
  return null != $today_todayDate$$1$$ ? ($today_todayDate$$1$$ = $AdfDhtmlChooseDateDOMQueries$$.$getISOStandardConverter$().getAsObject($today_todayDate$$1$$), $agent$$52_zeroTime$$ = parseInt($agent$$52_zeroTime$$.getAttribute($rootDOMElement$$7$$, $AdfDhtmlChooseDatePeer$$.$_ZERO_TIME$)), $today_todayDate$$1$$.setTime($today_todayDate$$1$$.getTime() + Math.max(0, (new Date).getTime() - $agent$$52_zeroTime$$)), $today_todayDate$$1$$) : new Date;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getTodayDate", $AdfDhtmlChooseDateDOMQueries$$.$getTodayDate$);
$AdfDhtmlChooseDateDOMQueries$$.$getFirstDayOfTheWeek$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getFirstDayOfTheWeek$$($component$$356$$, $rootDOMElement$$8$$) {
  $AdfAssert$$.$assertPrototype$($component$$356$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$8$$);
  var $attrValue$$2$$ = $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$8$$, $AdfDhtmlChooseDatePeer$$.$_FIRST_DAY_OF_WEEK$);
  return null != $attrValue$$2$$ ? parseInt($attrValue$$2$$) - 1 : 0;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getFirstDayOfTheWeek", $AdfDhtmlChooseDateDOMQueries$$.$getFirstDayOfTheWeek$);
$AdfDhtmlChooseDateDOMQueries$$.$getMinMaxHours$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getMinMaxHours$$($rootDOMElement$$9$$) {
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$9$$);
  return $AdfDhtmlChooseDateDOMQueries$$.$_is24HourFormat$($rootDOMElement$$9$$) ? $AdfDhtmlChooseDateDOMQueries$$.$isHourZeroBased$($rootDOMElement$$9$$) ? [0, 23] : [1, 24] : $AdfDhtmlChooseDateDOMQueries$$.$isHourZeroBased$($rootDOMElement$$9$$) ? [0, 11] : [1, 12];
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getMinMaxHours", $AdfDhtmlChooseDateDOMQueries$$.$getMinMaxHours$);
$AdfDhtmlChooseDateDOMQueries$$.$getDisplayableHour$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getDisplayableHour$$($rootDOMElement$$10$$, $date$$6$$) {
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$10$$);
  $AdfAssert$$.$assertDate$($date$$6$$);
  var $showHour$$ = $date$$6$$.getHours();
  if ($AdfDhtmlChooseDateDOMQueries$$.$_is24HourFormat$($rootDOMElement$$10$$)) {
    return 0 != $showHour$$ || $AdfDhtmlChooseDateDOMQueries$$.$isHourZeroBased$($rootDOMElement$$10$$) ? $showHour$$ : 24;
  }
  $showHour$$ %= 12;
  0 !== $showHour$$ || $AdfDhtmlChooseDateDOMQueries$$.$isHourZeroBased$($rootDOMElement$$10$$) || ($showHour$$ = 12);
  return $showHour$$;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getDisplayableHour", $AdfDhtmlChooseDateDOMQueries$$.$getDisplayableHour$);
$AdfDhtmlChooseDateDOMQueries$$.$_is24HourFormat$ = function $$AdfDhtmlChooseDateDOMQueries$$$$_is24HourFormat$$($rootDOMElement$$11$$) {
  return null != $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$11$$, $AdfDhtmlChooseDatePeer$$.$_SHOW_24_HOUR_FORMAT$);
};
$AdfDhtmlChooseDateDOMQueries$$.$isHourZeroBased$ = function $$AdfDhtmlChooseDateDOMQueries$$$$isHourZeroBased$$($rootDOMElement$$12$$) {
  return null != $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$12$$, $AdfDhtmlChooseDatePeer$$.$_COUNT_ZERO_BASED$);
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.isHourZeroBased", $AdfDhtmlChooseDateDOMQueries$$.$isHourZeroBased$);
$AdfDhtmlChooseDateDOMQueries$$.$getHourDigitCount$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getHourDigitCount$$($component$$357$$, $rootDOMElement$$13$$) {
  $AdfAssert$$.$assertPrototype$($component$$357$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$13$$);
  var $attrValue$$5$$ = $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$13$$, $AdfDhtmlChooseDatePeer$$.$_NUMBER_HOUR_DIGITS$);
  return null != $attrValue$$5$$ ? parseInt($attrValue$$5$$) : 1;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getHourDigitCount", $AdfDhtmlChooseDateDOMQueries$$.$getHourDigitCount$);
$AdfDhtmlChooseDateDOMQueries$$.$getMinuteDigitCount$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getMinuteDigitCount$$($component$$358$$, $rootDOMElement$$14$$) {
  $AdfAssert$$.$assertPrototype$($component$$358$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$14$$);
  var $attrValue$$6$$ = $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$14$$, $AdfDhtmlChooseDatePeer$$.$_NUMBER_MINUTE_DIGITS$);
  return null != $attrValue$$6$$ ? parseInt($attrValue$$6$$) : 1;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getMinuteDigitCount", $AdfDhtmlChooseDateDOMQueries$$.$getMinuteDigitCount$);
$AdfDhtmlChooseDateDOMQueries$$.$getSecondDigitCount$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getSecondDigitCount$$($component$$359$$, $rootDOMElement$$15$$) {
  $AdfAssert$$.$assertPrototype$($component$$359$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$15$$);
  var $attrValue$$7$$ = $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$15$$, $AdfDhtmlChooseDatePeer$$.$_NUMBER_SECOND_DIGITS$);
  return null != $attrValue$$7$$ ? parseInt($attrValue$$7$$) : 1;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getSecondDigitCount", $AdfDhtmlChooseDateDOMQueries$$.$getSecondDigitCount$);
$AdfDhtmlChooseDateDOMQueries$$.$allowSecondsSelection$ = function $$AdfDhtmlChooseDateDOMQueries$$$$allowSecondsSelection$$($component$$360$$, $rootDOMElement$$16$$) {
  $AdfAssert$$.$assertPrototype$($component$$360$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$16$$);
  return null != $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$16$$, $AdfDhtmlChooseDatePeer$$.$_SHOW_SECONDS$);
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.allowSecondsSelection", $AdfDhtmlChooseDateDOMQueries$$.$allowSecondsSelection$);
$AdfDhtmlChooseDateDOMQueries$$.$allowAMPMSelection$ = function $$AdfDhtmlChooseDateDOMQueries$$$$allowAMPMSelection$$($component$$361$$, $rootDOMElement$$17$$) {
  $AdfAssert$$.$assertPrototype$($component$$361$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$17$$);
  return null != $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$17$$, $AdfDhtmlChooseDatePeer$$.$_SHOW_AM_PM$) && !$AdfDhtmlChooseDateDOMQueries$$.$_is24HourFormat$($rootDOMElement$$17$$);
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.allowAMPMSelection", $AdfDhtmlChooseDateDOMQueries$$.$allowAMPMSelection$);
$AdfDhtmlChooseDateDOMQueries$$.$showAMPMInTwoRows$ = function $$AdfDhtmlChooseDateDOMQueries$$$$showAMPMInTwoRows$$($component$$362$$, $rootDOMElement$$18$$) {
  $AdfAssert$$.$assertPrototype$($component$$362$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$18$$);
  return null != $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$18$$, $AdfDhtmlChooseDatePeer$$.$_SHOW_AM_PM_IN_2_ROWS$);
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.showAMPMInTwoRows", $AdfDhtmlChooseDateDOMQueries$$.$showAMPMInTwoRows$);
$AdfDhtmlChooseDateDOMQueries$$.$allowTimeZoneSelection$ = function $$AdfDhtmlChooseDateDOMQueries$$$$allowTimeZoneSelection$$($component$$363$$, $rootDOMElement$$19$$) {
  $AdfAssert$$.$assertPrototype$($component$$363$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$19$$);
  return null != $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$19$$, $AdfDhtmlChooseDatePeer$$.$_SHOW_TIMEZONE$);
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.allowTimeZoneSelection", $AdfDhtmlChooseDateDOMQueries$$.$allowTimeZoneSelection$);
$AdfDhtmlChooseDateDOMQueries$$.$getClientTimeZone$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getClientTimeZone$$($component$$364$$, $rootDOMElement$$20$$) {
  $AdfAssert$$.$assertPrototype$($component$$364$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$20$$);
  return $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$20$$, $AdfDhtmlChooseDatePeer$$.$_CLIENT_TIME_ZONE$);
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getClientTimeZone", $AdfDhtmlChooseDateDOMQueries$$.$getClientTimeZone$);
$AdfDhtmlChooseDateDOMQueries$$.$getSelectedTimeZone$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getSelectedTimeZone$$($component$$365$$, $rootDOMElement$$21$$) {
  $AdfAssert$$.$assertPrototype$($component$$365$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$21$$);
  var $parentId$$1_tzId$$ = $AdfDhtmlChooseDateDOMQueries$$.$getParentID$($component$$365$$, $rootDOMElement$$21$$), $parentId$$1_tzId$$ = $AdfRichUIPeer$$.$CreateSubId$($parentId$$1_tzId$$, $AdfDhtmlChooseDatePeer$$.$_TIMEZONE_DISPID_ID$);
  return $AdfAgent$$.$AGENT$.getElementById($parentId$$1_tzId$$).value;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getSelectedTimeZone", $AdfDhtmlChooseDateDOMQueries$$.$getSelectedTimeZone$);
$AdfDhtmlChooseDateDOMQueries$$.$getToggleButton$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getToggleButton$$($component$$366$$, $rootDOMElement$$22$$) {
  $AdfAssert$$.$assertPrototype$($component$$366$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$22$$);
  var $btnSubId$$ = $AdfRichUIPeer$$.$CreateSubId$($component$$366$$.$getClientId$(), $AdfDhtmlChooseDatePeer$$.$_DIALOG_FOOTER_TOGGLE_BTN$);
  return $AdfAgent$$.$AGENT$.getElementById($btnSubId$$);
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getToggleButton", $AdfDhtmlChooseDateDOMQueries$$.$getToggleButton$);
$AdfDhtmlChooseDateDOMQueries$$.$isThaiBuddhistCalendar$ = function $$AdfDhtmlChooseDateDOMQueries$$$$isThaiBuddhistCalendar$$($component$$367$$, $rootDOMElement$$23$$) {
  $AdfAssert$$.$assertPrototype$($component$$367$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$23$$);
  return $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$23$$, $AdfDhtmlChooseDatePeer$$.$_LOCALE$) == $AdfDhtmlChooseDatePeer$$.$THAI_BUDDHIST$;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.isThaiBuddhistCalendar", $AdfDhtmlChooseDateDOMQueries$$.$isThaiBuddhistCalendar$);
$AdfDhtmlChooseDateDOMQueries$$.$getISOStandardConverter$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getISOStandardConverter$$() {
  $AdfDhtmlChooseDatePeer$$.$ISO_STANDARD_CONVERTER$ || ($AdfDhtmlChooseDatePeer$$.$ISO_STANDARD_CONVERTER$ = new TrDateTimeConverter("yyyy-MM-dd HH:mm:ss", null, null, null, null));
  return $AdfDhtmlChooseDatePeer$$.$ISO_STANDARD_CONVERTER$;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getISOStandardConverter", $AdfDhtmlChooseDateDOMQueries$$.$getISOStandardConverter$);
$AdfDhtmlChooseDateDOMQueries$$.$isDateDisabled$ = function $$AdfDhtmlChooseDateDOMQueries$$$$isDateDisabled$$($component$$368$$, $checkDate$$) {
  $AdfAssert$$.$assertPrototype$($component$$368$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDate$($checkDate$$);
  return $AdfDhtmlChooseDateDOMQueries$$.$isDateBeforeMinimumDate$($component$$368$$, $checkDate$$) || $AdfDhtmlChooseDateDOMQueries$$.$isDateAfterMaximumDate$($component$$368$$, $checkDate$$) || $AdfDhtmlChooseDateDOMQueries$$.$isDateInDisabledMonth$($component$$368$$, $checkDate$$) || $AdfDhtmlChooseDateDOMQueries$$.$isDateInDisabledDayOfWeek$($component$$368$$, $checkDate$$) || $AdfDhtmlChooseDateDOMQueries$$.$isDateInDisabledDates$($component$$368$$, $checkDate$$) ? !0 : !1;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.isDateDisabled", $AdfDhtmlChooseDateDOMQueries$$.$isDateDisabled$);
$AdfDhtmlChooseDateDOMQueries$$.$isDateBeforeMinimumDate$ = function $$AdfDhtmlChooseDateDOMQueries$$$$isDateBeforeMinimumDate$$($component$$369$$, $checkDate$$1$$) {
  var $dateTimeConverter_minDate$$ = $AdfDhtmlChooseDateDOMQueries$$.$getISOStandardConverter$(), $dateTimeConverter_minDate$$ = $AdfDhtmlChooseDateDOMQueries$$.$resetTime$($dateTimeConverter_minDate$$.getAsObject($component$$369$$.getMinValue()), !1);
  return null != $dateTimeConverter_minDate$$ && $checkDate$$1$$ < $dateTimeConverter_minDate$$ ? !0 : !1;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.isDateBeforeMinimumDate", $AdfDhtmlChooseDateDOMQueries$$.$isDateBeforeMinimumDate$);
$AdfDhtmlChooseDateDOMQueries$$.$isDateAfterMaximumDate$ = function $$AdfDhtmlChooseDateDOMQueries$$$$isDateAfterMaximumDate$$($component$$370$$, $checkDate$$2$$) {
  var $dateTimeConverter$$1_maxDate$$ = $AdfDhtmlChooseDateDOMQueries$$.$getISOStandardConverter$(), $dateTimeConverter$$1_maxDate$$ = $AdfDhtmlChooseDateDOMQueries$$.$resetTime$($dateTimeConverter$$1_maxDate$$.getAsObject($component$$370$$.getMaxValue()), !0);
  return null != $dateTimeConverter$$1_maxDate$$ && $checkDate$$2$$ > $dateTimeConverter$$1_maxDate$$ ? !0 : !1;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.isDateAfterMaximumDate", $AdfDhtmlChooseDateDOMQueries$$.$isDateAfterMaximumDate$);
$AdfDhtmlChooseDateDOMQueries$$.$isDateInDisabledMonth$ = function $$AdfDhtmlChooseDateDOMQueries$$$$isDateInDisabledMonth$$($component$$371$$, $checkDate$$3$$) {
  var $disabledMonthKeys_disabledMonths$$ = $component$$371$$.getDisabledMonths && $component$$371$$.getDisabledMonths();
  if (null != $disabledMonthKeys_disabledMonths$$) {
    for (var $disabledMonthKeys_disabledMonths$$ = $AdfDhtmlChooseDateDOMUtils$$.$getKeys$($disabledMonthKeys_disabledMonths$$), $m$$1$$ = 0;$m$$1$$ < $disabledMonthKeys_disabledMonths$$.length;$m$$1$$++) {
      if ($checkDate$$3$$.getMonth() == $AdfDhtmlChooseDatePeer$$.$_DISABLED_MONTHS_KEYS$[$disabledMonthKeys_disabledMonths$$[$m$$1$$]]) {
        return !0;
      }
    }
  }
  return !1;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.isDateInDisabledMonth", $AdfDhtmlChooseDateDOMQueries$$.$isDateInDisabledMonth$);
$AdfDhtmlChooseDateDOMQueries$$.$isDateInDisabledDayOfWeek$ = function $$AdfDhtmlChooseDateDOMQueries$$$$isDateInDisabledDayOfWeek$$($component$$372$$, $checkDate$$4$$) {
  var $disabledDOWKeys_disabledDaysOfWeek$$ = $component$$372$$.getDisabledDaysOfWeek && $component$$372$$.getDisabledDaysOfWeek();
  if (null != $disabledDOWKeys_disabledDaysOfWeek$$) {
    for (var $disabledDOWKeys_disabledDaysOfWeek$$ = $AdfDhtmlChooseDateDOMUtils$$.$getKeys$($disabledDOWKeys_disabledDaysOfWeek$$), $d$$ = 0;$d$$ < $disabledDOWKeys_disabledDaysOfWeek$$.length;$d$$++) {
      if ($checkDate$$4$$.getDay() == $AdfDhtmlChooseDatePeer$$.$_DISABLED_DAYS_OF_WEEK_KEYS$[$disabledDOWKeys_disabledDaysOfWeek$$[$d$$]]) {
        return !0;
      }
    }
  }
  return !1;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.isDateInDisabledDayOfWeek", $AdfDhtmlChooseDateDOMQueries$$.$isDateInDisabledDayOfWeek$);
$AdfDhtmlChooseDateDOMQueries$$.$isDateInDisabledDates$ = function $$AdfDhtmlChooseDateDOMQueries$$$$isDateInDisabledDates$$($component$$373$$, $checkDate$$5$$) {
  var $dateTimeConverter$$2$$ = $AdfDhtmlChooseDateDOMQueries$$.$getISOStandardConverter$(), $disabledDays$$ = $component$$373$$.getDisabledDays && $component$$373$$.getDisabledDays();
  if (null != $disabledDays$$) {
    for (var $i$$160$$ = 0;$i$$160$$ < $disabledDays$$.length;$i$$160$$++) {
      var $disabledDate$$ = $dateTimeConverter$$2$$.getAsObject($disabledDays$$[$i$$160$$]), $disabledDate$$ = $AdfDhtmlChooseDateDOMQueries$$.$resetTime$($disabledDate$$, !1);
      if ($checkDate$$5$$.getTime() == $disabledDate$$.getTime()) {
        return !0;
      }
    }
  }
  return !1;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.isDateInDisabledDates", $AdfDhtmlChooseDateDOMQueries$$.$isDateInDisabledDates$);
$AdfDhtmlChooseDateDOMQueries$$.$resetTime$ = function $$AdfDhtmlChooseDateDOMQueries$$$$resetTime$$($date$$7$$, $shouldMaxOut$$) {
  if (null == $date$$7$$) {
    return null;
  }
  $AdfAssert$$.$assertDate$($date$$7$$);
  $AdfAssert$$.$assertBoolean$($shouldMaxOut$$);
  $date$$7$$.setHours($shouldMaxOut$$ ? 23 : 0);
  $date$$7$$.setMinutes($shouldMaxOut$$ ? 59 : 0);
  $date$$7$$.setSeconds($shouldMaxOut$$ ? 59 : 0);
  $date$$7$$.setMilliseconds($shouldMaxOut$$ ? 999 : 0);
  return $date$$7$$;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.resetTime", $AdfDhtmlChooseDateDOMQueries$$.$resetTime$);
$AdfDhtmlChooseDateDOMQueries$$.$getParentID$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getParentID$$($component$$374$$, $rootDOMElement$$24$$) {
  $AdfAssert$$.$assertPrototype$($component$$374$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$24$$);
  return $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$24$$, $AdfDhtmlChooseDatePeer$$.$_PARENT_ID$);
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getParentID", $AdfDhtmlChooseDateDOMQueries$$.$getParentID$);
$AdfDhtmlChooseDateDOMQueries$$.$isLaunchedInDialogByInputDate$ = function $$AdfDhtmlChooseDateDOMQueries$$$$isLaunchedInDialogByInputDate$$($component$$375$$, $rootDOMElement$$25$$) {
  $AdfAssert$$.$assertPrototype$($component$$375$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$25$$);
  return $AdfDhtmlChooseDateDOMQueries$$.$getParentID$($component$$375$$, $rootDOMElement$$25$$) && $component$$375$$.getParent() instanceof AdfRichDialog;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.isLaunchedInDialogByInputDate", $AdfDhtmlChooseDateDOMQueries$$.$isLaunchedInDialogByInputDate$);
$AdfDhtmlChooseDateDOMQueries$$.$getParentDialogToggleButtonFacet$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getParentDialogToggleButtonFacet$$($component$$376$$, $rootDOMElement$$26$$) {
  $AdfAssert$$.$assertPrototype$($component$$376$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$26$$);
  var $dlgClientId_facetSubId_footerElements_parentDlg$$ = $component$$376$$.getParent();
  $AdfAssert$$.$assertPrototype$($dlgClientId_facetSubId_footerElements_parentDlg$$, AdfRichDialog);
  for (var $dlgClientId_facetSubId_footerElements_parentDlg$$ = $dlgClientId_facetSubId_footerElements_parentDlg$$.$getClientId$(), $dlgClientId_facetSubId_footerElements_parentDlg$$ = $AdfRichUIPeer$$.$CreateSubId$($dlgClientId_facetSubId_footerElements_parentDlg$$, $AdfDhtmlChooseDatePeer$$.$_DIALOG_FOOTER_FACET_CNT$), $dlgClientId_facetSubId_footerElements_parentDlg$$ = $AdfAgent$$.$AGENT$.getElementById($dlgClientId_facetSubId_footerElements_parentDlg$$).children, $i$$161$$ = 0;$i$$161$$ < $dlgClientId_facetSubId_footerElements_parentDlg$$.length;$i$$161$$++) {
    var $elem$$8$$ = $dlgClientId_facetSubId_footerElements_parentDlg$$[$i$$161$$];
    if ($AdfDomUtils$$.$containsCSSClassName$($elem$$8$$, "AFChooseDateToggleButtonFacet")) {
      return $elem$$8$$;
    }
  }
  return null;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getParentDialogToggleButtonFacet", $AdfDhtmlChooseDateDOMQueries$$.$getParentDialogToggleButtonFacet$);
$AdfDhtmlChooseDateDOMQueries$$.$getInputModifiersEngaged$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getInputModifiersEngaged$$($componentEvent$$29_nativeEvent$$25$$) {
  $AdfAssert$$.$assertPrototype$($componentEvent$$29_nativeEvent$$25$$, $AdfDomUIInputEvent$$);
  var $modifiersEngaged$$ = [];
  $componentEvent$$29_nativeEvent$$25$$ = $componentEvent$$29_nativeEvent$$25$$.$getNativeEvent$();
  var $agent$$60$$ = $AdfAgent$$.$AGENT$;
  $componentEvent$$29_nativeEvent$$25$$.shiftKey && $modifiersEngaged$$.push(AdfRichChooseDate.$RANGE_SELECTION$);
  $agent$$60$$.$isSelectionToggle$($componentEvent$$29_nativeEvent$$25$$) && $modifiersEngaged$$.push(AdfRichChooseDate.$MULTI_SELECTION$);
  0 == $modifiersEngaged$$.length && $modifiersEngaged$$.push($agent$$60$$.$isTouchFirstDevice$() ? AdfRichChooseDate.$MULTI_SELECTION$ : AdfRichChooseDate.$SINGLE_SELECTION$);
  return $modifiersEngaged$$;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getInputModifiersEngaged", $AdfDhtmlChooseDateDOMQueries$$.$getInputModifiersEngaged$);
$AdfDhtmlChooseDateDOMQueries$$.$getClientDisabledDateRange$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getClientDisabledDateRange$$($component$$377$$, $rootDOMElement$$27$$) {
  $AdfAssert$$.$assertPrototype$($component$$377$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$27$$);
  var $rangeStartStr$$ = $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$27$$, $AdfDhtmlChooseDatePeer$$.$_RANGE_START$), $rangeEndStr$$ = $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$27$$, $AdfDhtmlChooseDatePeer$$.$_RANGE_END$);
  if (!$rangeStartStr$$ || !$rangeEndStr$$) {
    return null;
  }
  var $converter$$4$$ = $AdfDhtmlChooseDateDOMQueries$$.$getISOStandardConverter$();
  return [$converter$$4$$.getAsObject($rangeStartStr$$), $converter$$4$$.getAsObject($rangeEndStr$$)];
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getClientDisabledDateRange", $AdfDhtmlChooseDateDOMQueries$$.$getClientDisabledDateRange$);
$AdfDhtmlChooseDateDOMQueries$$.$getClientRangeStartDate$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getClientRangeStartDate$$($component$$378$$, $rootDOMElement$$28$$) {
  $AdfAssert$$.$assertPrototype$($component$$378$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$28$$);
  var $attrValue$$12$$ = $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$28$$, $AdfDhtmlChooseDatePeer$$.$_RANGE_START$);
  return null != $attrValue$$12$$ ? $AdfDhtmlChooseDateDOMQueries$$.$getISOStandardConverter$().getAsObject($attrValue$$12$$) : null;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getClientRangeStartDate", $AdfDhtmlChooseDateDOMQueries$$.$getClientRangeStartDate$);
$AdfDhtmlChooseDateDOMQueries$$.$getClientRangeEndDate$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getClientRangeEndDate$$($component$$379$$, $rootDOMElement$$29$$) {
  $AdfAssert$$.$assertPrototype$($component$$379$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$29$$);
  var $attrValue$$13$$ = $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$29$$, $AdfDhtmlChooseDatePeer$$.$_RANGE_END$);
  return null != $attrValue$$13$$ ? $AdfDhtmlChooseDateDOMQueries$$.$getISOStandardConverter$().getAsObject($attrValue$$13$$) : null;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getClientRangeEndDate", $AdfDhtmlChooseDateDOMQueries$$.$getClientRangeEndDate$);
$AdfDhtmlChooseDateDOMQueries$$.$getLocaleSymbols$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getLocaleSymbols$$($component$$380$$, $rootDOMElement$$30$$) {
  $AdfAssert$$.$assertPrototype$($component$$380$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$30$$);
  var $converter$$5_page$$25_parentInputDate$$ = $AdfPage$$.$PAGE$, $localeSymbols$$ = null, $parentId$$2$$ = $AdfDhtmlChooseDateDOMQueries$$.$getParentID$($component$$380$$, $rootDOMElement$$30$$);
  $parentId$$2$$ && ($converter$$5_page$$25_parentInputDate$$ = $converter$$5_page$$25_parentInputDate$$.$findComponent$($parentId$$2$$)) && $converter$$5_page$$25_parentInputDate$$.getConverter && ($converter$$5_page$$25_parentInputDate$$ = $converter$$5_page$$25_parentInputDate$$.getConverter()) && ($localeSymbols$$ = $converter$$5_page$$25_parentInputDate$$.$getLocaleSymbols$());
  $localeSymbols$$ || ($localeSymbols$$ = getLocaleSymbols());
  return $localeSymbols$$;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getLocaleSymbols", $AdfDhtmlChooseDateDOMQueries$$.$getLocaleSymbols$);
$AdfDhtmlChooseDateDOMQueries$$.$getConfiguredLayouts$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getConfiguredLayouts$$($component$$381$$, $rootDOMElement$$31$$) {
  $AdfAssert$$.$assertPrototype$($component$$381$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$31$$);
  var $layoutIds_layouts$$;
  ($layoutIds_layouts$$ = $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$31$$, $AdfDhtmlChooseDatePeer$$.$_LAYOUT$)) ? ($layoutIds_layouts$$ = $layoutIds_layouts$$.split(" "), $layoutIds_layouts$$ = $layoutIds_layouts$$.filter(function($component$$381$$) {
    return !(null == $component$$381$$ || "" == $component$$381$$);
  })) : $layoutIds_layouts$$ = $AdfDhtmlChooseDateDOMQueries$$.$_getSkinDeterminedLayouts$();
  return $layoutIds_layouts$$ = $AdfDhtmlChooseDateDOMQueries$$.$_injectPrivateSupportingPanelIds$($layoutIds_layouts$$.slice());
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getConfiguredLayouts", $AdfDhtmlChooseDateDOMQueries$$.$getConfiguredLayouts$);
$AdfDhtmlChooseDateDOMQueries$$.$getLayoutPanel$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getLayoutPanel$$($panelId$$) {
  $AdfAssert$$.$assertString$($panelId$$);
  return $AdfDhtmlChooseDatePeer$$.$_PANEL_ID_TO_PANEL_MAP$[$panelId$$];
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getLayoutPanel", $AdfDhtmlChooseDateDOMQueries$$.$getLayoutPanel$);
$AdfDhtmlChooseDateDOMQueries$$.$getEnabledLayoutPanels$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getEnabledLayoutPanels$$($component$$382$$, $rootDOMElement$$32$$) {
  $AdfAssert$$.$assertPrototype$($component$$382$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$32$$);
  return $AdfDhtmlChooseDateDOMQueries$$.$getConfiguredLayouts$($component$$382$$, $rootDOMElement$$32$$).map(function($rootDOMElement$$32$$) {
    var $panel$$ = $AdfDhtmlChooseDatePeer$$.$_PANEL_ID_TO_PANEL_MAP$[$rootDOMElement$$32$$];
    $panel$$ || $AdfLogger$$.$LOGGER$.severe("Unable to construct chooseDate the panel for unregistered panel-id: " + $rootDOMElement$$32$$ + " on component " + $component$$382$$.$getClientId$());
    return $panel$$;
  }).filter(function($panel$$1$$) {
    return null != $panel$$1$$ && $panel$$1$$.isEnabled($component$$382$$, $rootDOMElement$$32$$);
  });
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getEnabledLayoutPanels", $AdfDhtmlChooseDateDOMQueries$$.$getEnabledLayoutPanels$);
$AdfDhtmlChooseDateDOMQueries$$.$getVisibleLayoutPanels$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getVisibleLayoutPanels$$($component$$383$$, $rootDOMElement$$33$$) {
  $AdfAssert$$.$assertPrototype$($component$$383$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$33$$);
  return $AdfDhtmlChooseDateDOMQueries$$.$getEnabledLayoutPanels$($component$$383$$, $rootDOMElement$$33$$).filter(function($panel$$2$$) {
    return null != $panel$$2$$ && $panel$$2$$.$isVisible$($component$$383$$, $rootDOMElement$$33$$);
  });
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getVisibleLayoutPanels", $AdfDhtmlChooseDateDOMQueries$$.$getVisibleLayoutPanels$);
$AdfDhtmlChooseDateDOMQueries$$.$supportsDisplayToggle$ = function $$AdfDhtmlChooseDateDOMQueries$$$$supportsDisplayToggle$$($component$$384$$, $rootDOMElement$$34$$) {
  $AdfAssert$$.$assertPrototype$($component$$384$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$34$$);
  return $AdfAgent$$.$AGENT$.$getBooleanAttribute$($rootDOMElement$$34$$, $AdfDhtmlChooseDatePeer$$.$_SUPPORTS_DISPLAY_TOGGLE$, !1);
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.supportsDisplayToggle", $AdfDhtmlChooseDateDOMQueries$$.$supportsDisplayToggle$);
$AdfDhtmlChooseDateDOMQueries$$.$getCurrentDisplayMode$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getCurrentDisplayMode$$($component$$385$$, $rootDOMElement$$35$$) {
  $AdfAssert$$.$assertPrototype$($component$$385$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$35$$);
  return $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$35$$, $AdfDhtmlChooseDatePeer$$.$_DISPLAY_MODE$);
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getCurrentDisplayMode", $AdfDhtmlChooseDateDOMQueries$$.$getCurrentDisplayMode$);
$AdfDhtmlChooseDateDOMQueries$$.$checkCurrentDisplayMode$ = function $$AdfDhtmlChooseDateDOMQueries$$$$checkCurrentDisplayMode$$($component$$386$$, $rootDOMElement$$36$$, $modeToCheck$$) {
  $AdfAssert$$.$assertPrototype$($component$$386$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$36$$);
  $AdfAssert$$.$assertString$($modeToCheck$$);
  return $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$36$$, $AdfDhtmlChooseDatePeer$$.$_DISPLAY_MODE$) == $modeToCheck$$;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.checkCurrentDisplayMode", $AdfDhtmlChooseDateDOMQueries$$.$checkCurrentDisplayMode$);
$AdfDhtmlChooseDateDOMQueries$$.$getCurrentDisplaySubMode$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getCurrentDisplaySubMode$$($component$$387$$, $rootDOMElement$$37$$) {
  $AdfAssert$$.$assertPrototype$($component$$387$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$37$$);
  return $AdfAgent$$.$AGENT$.getAttribute($rootDOMElement$$37$$, $AdfDhtmlChooseDatePeer$$.$_DISPLAY_SUB_MODE$);
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getCurrentDisplaySubMode", $AdfDhtmlChooseDateDOMQueries$$.$getCurrentDisplaySubMode$);
$AdfDhtmlChooseDateDOMQueries$$.$checkCurrentDisplaySubMode$ = function $$AdfDhtmlChooseDateDOMQueries$$$$checkCurrentDisplaySubMode$$($agent$$62_component$$388$$, $rootDOMElement$$38$$, $modeToCheck$$1$$) {
  $AdfAssert$$.$assertPrototype$($agent$$62_component$$388$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$38$$);
  $AdfAssert$$.$assertString$($modeToCheck$$1$$);
  $agent$$62_component$$388$$ = $AdfAgent$$.$AGENT$;
  return $agent$$62_component$$388$$.getAttribute($rootDOMElement$$38$$, $AdfDhtmlChooseDatePeer$$.$_DISPLAY_MODE$) != $AdfDhtmlChooseDatePeer$$.$_DATE_AND_TIME_MODE$ ? !1 : $agent$$62_component$$388$$.getAttribute($rootDOMElement$$38$$, $AdfDhtmlChooseDatePeer$$.$_DISPLAY_SUB_MODE$) == $modeToCheck$$1$$;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.checkCurrentDisplaySubMode", $AdfDhtmlChooseDateDOMQueries$$.$checkCurrentDisplaySubMode$);
$AdfDhtmlChooseDateDOMQueries$$.$getFirstDayOfMonthElement$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getFirstDayOfMonthElement$$($component$$389_gridId_weekRows$$) {
  $AdfAssert$$.$assertPrototype$($component$$389_gridId_weekRows$$, AdfRichChooseDate);
  var $agent$$63$$ = $AdfAgent$$.$AGENT$;
  $component$$389_gridId_weekRows$$ = $AdfRichUIPeer$$.$CreateSubId$($component$$389_gridId_weekRows$$.$getClientId$(), $AdfDhtmlChooseDatePeer$$.$_CAL_GRID_ID$);
  $component$$389_gridId_weekRows$$ = $agent$$63$$.getElementById($component$$389_gridId_weekRows$$).childNodes[0].childNodes;
  for (i = 0;i < $component$$389_gridId_weekRows$$.length;i++) {
    if ("TR" == $agent$$63$$.$getNodeName$($component$$389_gridId_weekRows$$[i])) {
      var $tr$$ = $component$$389_gridId_weekRows$$[i];
      for (j = 0;j < $tr$$.childNodes.length;j++) {
        var $child$$3$$ = $tr$$.childNodes[j];
        if ("TD" == $agent$$63$$.$getNodeName$($child$$3$$) && "1" == $agent$$63$$.$getTextContent$($child$$3$$)) {
          return $child$$3$$;
        }
      }
    }
  }
  return null;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getFirstDayOfMonthElement", $AdfDhtmlChooseDateDOMQueries$$.$getFirstDayOfMonthElement$);
$AdfDhtmlChooseDateDOMQueries$$.$getDayCell$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getDayCell$$($component$$390$$, $queryDate$$) {
  $AdfAssert$$.$assertPrototype$($component$$390$$, AdfRichChooseDate);
  var $agent$$64$$ = $AdfAgent$$.$AGENT$, $searchGrid_searchGridId_tr$$1$$ = $queryDate$$.getFullYear() + "-" + $queryDate$$.getMonth(), $grid_gridId$$1_weekRows$$1$$ = $AdfRichUIPeer$$.$CreateSubId$($component$$390$$.$getClientId$(), "date"), $grid_gridId$$1_weekRows$$1$$ = $agent$$64$$.getElementById($grid_gridId$$1_weekRows$$1$$), $cdRootElem$$21_child$$4_pivotMonth$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$390$$), $searchGrid_searchGridId_tr$$1$$ = $AdfDomUtils$$.$getFirstChildElementByAttributeValue$($grid_gridId$$1_weekRows$$1$$, 
  $AdfDhtmlChooseDatePeer$$.$_YYYY_MM$, $searchGrid_searchGridId_tr$$1$$), $dayIdAtrributeValue$$;
  if ($searchGrid_searchGridId_tr$$1$$) {
    $dayIdAtrributeValue$$ = $AdfDhtmlChooseDatePeer$$.$_CUR_MONTH_ID$;
  } else {
    if (1 == $AdfDhtmlChooseDateDOMQueries$$.$getMonthsToDisplay$($component$$390$$, $cdRootElem$$21_child$$4_pivotMonth$$)) {
      var $nextMonth_pivotMonthAndYear$$2$$ = $AdfDhtmlChooseDateDOMQueries$$.$getRenderedMonthAndYear$($component$$390$$, $cdRootElem$$21_child$$4_pivotMonth$$), $cdRootElem$$21_child$$4_pivotMonth$$ = $nextMonth_pivotMonthAndYear$$2$$.getMonth(), $pivotYear$$ = $nextMonth_pivotMonthAndYear$$2$$.getFullYear(), $prevMonth$$ = new Date($nextMonth_pivotMonthAndYear$$2$$);
      $prevMonth$$.setMonth($prevMonth$$.getMonth() - 1);
      $nextMonth_pivotMonthAndYear$$2$$ = new Date($nextMonth_pivotMonthAndYear$$2$$);
      $nextMonth_pivotMonthAndYear$$2$$.setMonth($nextMonth_pivotMonthAndYear$$2$$.getMonth() + 1);
      $queryDate$$.getMonth() == $prevMonth$$.getMonth() && $queryDate$$.getYear() == $prevMonth$$.getYear() ? $dayIdAtrributeValue$$ = $AdfDhtmlChooseDatePeer$$.$_PREV_MONTH_ID$ : $queryDate$$.getMonth() == $nextMonth_pivotMonthAndYear$$2$$.getMonth() && $queryDate$$.getYear() == $nextMonth_pivotMonthAndYear$$2$$.getYear() && ($dayIdAtrributeValue$$ = $AdfDhtmlChooseDatePeer$$.$_NEXT_MONTH_ID$);
      $dayIdAtrributeValue$$ && ($searchGrid_searchGridId_tr$$1$$ = $AdfDomUtils$$.$getFirstChildElementByAttributeValue$($grid_gridId$$1_weekRows$$1$$, $AdfDhtmlChooseDatePeer$$.$_YYYY_MM$, $pivotYear$$ + "-" + $cdRootElem$$21_child$$4_pivotMonth$$));
    }
  }
  if ($searchGrid_searchGridId_tr$$1$$) {
    for ($grid_gridId$$1_weekRows$$1$$ = $searchGrid_searchGridId_tr$$1$$.childNodes[0].childNodes, i = 1;i < $grid_gridId$$1_weekRows$$1$$.length;i++) {
      if ("TR" == $agent$$64$$.$getNodeName$($grid_gridId$$1_weekRows$$1$$[i])) {
        for ($searchGrid_searchGridId_tr$$1$$ = $grid_gridId$$1_weekRows$$1$$[i], j = 0;j < $searchGrid_searchGridId_tr$$1$$.childNodes.length;j++) {
          if ($cdRootElem$$21_child$$4_pivotMonth$$ = $searchGrid_searchGridId_tr$$1$$.childNodes[j], "TD" == $agent$$64$$.$getNodeName$($cdRootElem$$21_child$$4_pivotMonth$$) && parseInt($agent$$64$$.$getTextContent$($cdRootElem$$21_child$$4_pivotMonth$$)) == $queryDate$$.getDate() && $agent$$64$$.getAttribute($cdRootElem$$21_child$$4_pivotMonth$$, $AdfDhtmlChooseDatePeer$$.$_DAY_ID_ATTR_NAME$) == $dayIdAtrributeValue$$) {
            return $cdRootElem$$21_child$$4_pivotMonth$$;
          }
        }
      }
    }
  }
  return null;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getDayCell", $AdfDhtmlChooseDateDOMQueries$$.$getDayCell$);
$AdfDhtmlChooseDateDOMQueries$$.$getCurrentSelectedDateElement$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getCurrentSelectedDateElement$$($component$$391_gridId$$2_weekRows$$2$$) {
  $AdfAssert$$.$assertPrototype$($component$$391_gridId$$2_weekRows$$2$$, AdfRichChooseDate);
  var $agent$$65$$ = $AdfAgent$$.$AGENT$;
  $component$$391_gridId$$2_weekRows$$2$$ = $AdfRichUIPeer$$.$CreateSubId$($component$$391_gridId$$2_weekRows$$2$$.$getClientId$(), $AdfDhtmlChooseDatePeer$$.$_CAL_GRID_ID$);
  $component$$391_gridId$$2_weekRows$$2$$ = $agent$$65$$.getElementById($component$$391_gridId$$2_weekRows$$2$$).childNodes[0].childNodes;
  for (i = 0;i < $component$$391_gridId$$2_weekRows$$2$$.length;i++) {
    if ("TR" == $agent$$65$$.$getNodeName$($component$$391_gridId$$2_weekRows$$2$$[i])) {
      var $tr$$2$$ = $component$$391_gridId$$2_weekRows$$2$$[i];
      for (j = 0;j < $tr$$2$$.childNodes.length;j++) {
        var $child$$5$$ = $tr$$2$$.childNodes[j];
        if ("TD" == $agent$$65$$.$getNodeName$($child$$5$$) && $AdfDomUtils$$.$containsCSSClassName$($child$$5$$, $AdfDhtmlChooseDatePeer$$.$_SEL_DAY_CLASS$)) {
          return $child$$5$$;
        }
      }
    }
  }
  return null;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getCurrentSelectedDateElement", $AdfDhtmlChooseDateDOMQueries$$.$getCurrentSelectedDateElement$);
$AdfDhtmlChooseDateDOMQueries$$.$getNavigationGridDisplayRange$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getNavigationGridDisplayRange$$($component$$392$$, $panelRoot$$) {
  $AdfAssert$$.$assertPrototype$($component$$392$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($panelRoot$$);
  var $agent$$66_pivotMonthStr_pivotMonthYear$$ = $AdfAgent$$.$AGENT$, $cdRootElem$$22_gridsToDisplay$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$392$$), $endRange$$1_isMonthSelectingMode$$ = $AdfDhtmlChooseDateDOMQueries$$.$checkCurrentDisplaySubMode$($component$$392$$, $cdRootElem$$22_gridsToDisplay$$, $AdfDhtmlChooseDatePeer$$.$_DATE_TIME_SUB_MONTH_MODE$), $isYearSelectingMode$$ = $AdfDhtmlChooseDateDOMQueries$$.$checkCurrentDisplaySubMode$($component$$392$$, $cdRootElem$$22_gridsToDisplay$$, 
  $AdfDhtmlChooseDatePeer$$.$_DATE_TIME_SUB_YEAR_MODE$);
  if (!$endRange$$1_isMonthSelectingMode$$ && !$isYearSelectingMode$$) {
    return $AdfDhtmlChooseDateDOMQueries$$.$getMonthDisplayRange$($component$$392$$);
  }
  $agent$$66_pivotMonthStr_pivotMonthYear$$ = ($agent$$66_pivotMonthStr_pivotMonthYear$$ = $agent$$66_pivotMonthStr_pivotMonthYear$$.getAttribute($panelRoot$$, $AdfDhtmlChooseDateMonthNavigationHeaderPanel$$.$_SELECTING_MONTH_AND_YEAR$)) ? $AdfDhtmlChooseDateDOMQueries$$.$getISOStandardConverter$().getAsObject($agent$$66_pivotMonthStr_pivotMonthYear$$) : $AdfDhtmlChooseDateDOMQueries$$.$getRenderedMonthAndYear$($component$$392$$, $cdRootElem$$22_gridsToDisplay$$);
  $cdRootElem$$22_gridsToDisplay$$ = $AdfDhtmlChooseDateDOMQueries$$.$getMonthsToDisplay$($component$$392$$, $cdRootElem$$22_gridsToDisplay$$);
  $agent$$66_pivotMonthStr_pivotMonthYear$$.setDate(1);
  $endRange$$1_isMonthSelectingMode$$ ? $agent$$66_pivotMonthStr_pivotMonthYear$$.setFullYear($agent$$66_pivotMonthStr_pivotMonthYear$$.getFullYear() - (Math.ceil($cdRootElem$$22_gridsToDisplay$$ / 2) - 1)) : $isYearSelectingMode$$ && $agent$$66_pivotMonthStr_pivotMonthYear$$.setFullYear($agent$$66_pivotMonthStr_pivotMonthYear$$.getFullYear() - 10 * (Math.ceil($cdRootElem$$22_gridsToDisplay$$ / 2) - 1));
  $endRange$$1_isMonthSelectingMode$$ = new Date($agent$$66_pivotMonthStr_pivotMonthYear$$);
  $endRange$$1_isMonthSelectingMode$$.setFullYear($endRange$$1_isMonthSelectingMode$$.getFullYear() + $cdRootElem$$22_gridsToDisplay$$);
  return {start:$agent$$66_pivotMonthStr_pivotMonthYear$$, end:$endRange$$1_isMonthSelectingMode$$, months:$cdRootElem$$22_gridsToDisplay$$};
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getNavigationGridDisplayRange", $AdfDhtmlChooseDateDOMQueries$$.$getNavigationGridDisplayRange$);
$AdfDhtmlChooseDateDOMQueries$$.$getNextNavigationGridDisplayDate$ = function $$AdfDhtmlChooseDateDOMQueries$$$$getNextNavigationGridDisplayDate$$($component$$393$$, $monthAndYear$$) {
  $AdfAssert$$.$assertPrototype$($component$$393$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDate$($monthAndYear$$);
  var $cdRootElem$$23$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$393$$);
  if ($AdfDhtmlChooseDateDOMQueries$$.$checkCurrentDisplaySubMode$($component$$393$$, $cdRootElem$$23$$, $AdfDhtmlChooseDatePeer$$.$_DATE_TIME_SUB_MONTH_MODE$)) {
    return $monthAndYear$$.setMonth($monthAndYear$$.getMonth() + 12), $monthAndYear$$;
  }
  if ($AdfDhtmlChooseDateDOMQueries$$.$checkCurrentDisplaySubMode$($component$$393$$, $cdRootElem$$23$$, $AdfDhtmlChooseDatePeer$$.$_DATE_TIME_SUB_YEAR_MODE$)) {
    return $monthAndYear$$.setMonth($monthAndYear$$.getMonth() + 120), $monthAndYear$$;
  }
  $monthAndYear$$.setMonth($monthAndYear$$.getMonth() + 1);
  return $monthAndYear$$;
};
$goog$exportSymbol$$("AdfDhtmlChooseDateDOMQueries.getNextNavigationGridDisplayDate", $AdfDhtmlChooseDateDOMQueries$$.$getNextNavigationGridDisplayDate$);
$AdfDhtmlChooseDateDOMQueries$$.$_injectPrivateSupportingPanelIds$ = function $$AdfDhtmlChooseDateDOMQueries$$$$_injectPrivateSupportingPanelIds$$($layoutIds$$2$$) {
  $AdfAssert$$.$assertArray$($layoutIds$$2$$);
  for (var $panelId$$2$$ in $AdfDhtmlChooseDatePeer$$.$_PANEL_ID_TO_SUBORDINATE_PANEL_ID_MAP$) {
    var $panelPos$$ = $layoutIds$$2$$.indexOf($panelId$$2$$);
    -1 != $panelPos$$ && $layoutIds$$2$$.splice($panelPos$$, 0, $AdfDhtmlChooseDatePeer$$.$_PANEL_ID_TO_SUBORDINATE_PANEL_ID_MAP$[$panelId$$2$$]);
  }
  return $layoutIds$$2$$;
};
$AdfDhtmlChooseDateDOMQueries$$.$_getSkinDeterminedLayouts$ = function $$AdfDhtmlChooseDateDOMQueries$$$$_getSkinDeterminedLayouts$$() {
  if (!$AdfDhtmlChooseDatePeer$$.$_SKIN_DETERMINED_LAYOUTS$) {
    var $layoutArr$$ = $AdfPage$$.$PAGE$.$getLookAndFeel$().$getSkinProperty$("af|chooseDate-tr-layout").split(" ");
    $AdfDhtmlChooseDatePeer$$.$_SKIN_DETERMINED_LAYOUTS$ = $layoutArr$$.filter(function($layoutArr$$) {
      return !(null == $layoutArr$$ || "" == $layoutArr$$);
    });
  }
  return $AdfDhtmlChooseDatePeer$$.$_SKIN_DETERMINED_LAYOUTS$;
};
$AdfDhtmlChooseDateDOMQueries$$.$_getSkinDeterminedMonths$ = function $$AdfDhtmlChooseDateDOMQueries$$$$_getSkinDeterminedMonths$$() {
  if (!$AdfDhtmlChooseDatePeer$$.$_SKIN_DETERMINED_MONTHS$) {
    var $lnf$$1$$ = $AdfPage$$.$PAGE$.$getLookAndFeel$();
    $AdfDhtmlChooseDatePeer$$.$_SKIN_DETERMINED_MONTHS$ = parseInt($lnf$$1$$.$getSkinProperty$("af|chooseDate-tr-months"));
  }
  return $AdfDhtmlChooseDatePeer$$.$_SKIN_DETERMINED_MONTHS$;
};
